//
//  LSPDSplitView.h
//  PluginDesigner
//
//  Created by Philippe H. Regenass on 17.04.07.
//  Copyright 2007 TREEINSPIRED.ch. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <RBSplitView/RBSplitView.h>

/*!
    @header			LSPDSplitView
    @abstract		LSPDSplitView : RBSplitView\n
	@discussion		Überschreibung der bestehenden Klassen um den gewüschten Custom Effekt zu erhalten.
					Weitere Informationen zum RBSplitView: http://www.brockerhoff.net/src/rbs.html
*/

@interface LSPDSplitView : RBSplitView
{
	@public
	IBOutlet		NSImageView			*dimple; // Hiermit kann die Grösse der SplitViews vergrössert / verkleinert werden
}

@end

/*!
    @header			LSPDSplitSubview
    @abstract		LSPDSplitSubview : RBSplitSubview\n
	@discussion		Erweitert den RBSplitview um die Funktion via einem IBOutlet ein NSView dem RBSplitview zuzuweisen.
					Somit kann man sich die programmatische Zuweisung des NSView ersparen.
*/

@interface LSPDSplitSubview : RBSplitSubview
{
	@public
	IBOutlet		NSView				*subView;
}

// Getter und Setter


/*!
    @abstract		- (void)setSubview:(NSView *)theSubview
    @discussion		Setter für subView. Hier wird das bestehende NSView entfernt und duch das neue "theSubview" ersetzt.
	@param			(NSView *)theSubview NSView welches im RBSplitSubview platziert werden soll
*/
- (void)setSubview:(NSView *)theSubview;


/*!
    @abstract		- (NSView *)subView;
    @discussion		Getter für das subView NSView
	@result			(NSView *) subView Objekt
*/
- (NSView *)subView;

@end
